Name:		xgridloc
Version:	0.9
Release:	6%{?dist}
Summary:	A GTK+ application for the calculation of Maidenhead QRA Locators

Group:		Applications/Communications
License:	GPLv3
URL:		http://5b4az.chronos.org.uk/pages/locator.html

Source0:	http://5b4az.chronos.org.uk/pkg/locator/%{name}/%{name}-%{version}.tar.gz
# desktop file
Source1:	%{name}.desktop
# icon file
Source2:	%{name}.png
# default config file wrapper script 
Source3:	xgridloc.sh.in

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel

%description
xgridloc is a GTK+ graphical version of gridloc and performs the same basic 
functions for ham radio operators, but additionally it can use xplanet to 
display the home and DX locations and the great circle path between them.

%prep
%setup -qn %{name}
sh autogen.sh

%build
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet so we'll use a temporary one.
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install  \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor="fedora" obsolete per new package guidelines.

# install default user configuration file
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/default/.xgridlocrc $RPM_BUILD_ROOT%{_datadir}/%{name}/xgridlocrc

# move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xgridloc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README doc/%{name}.html COPYING
%dir %{_datadir}/%{name}
%{_libexecdir}/%{name}-bin
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/xgridlocrc
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jul 9 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-6
- Upstream source added COPYING file
- Fix .desktop file removed ext from icon
- Mock build f11/devel i386
- Test build on Koji all arches

* Fri Feb 6 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-5
- bump src to f11
- minor spec edits

* Sun Jan 18 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-4
- Check rpmlint fix lint errors
- 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
- Submit for review
- Mock build f9/10/devel i386
- Test build on Koji all arches

* Sun Jan 18 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-3
- Add default config file
- Mock build f9/10/devel i386

* Sun Jan 18 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-2
- Mock build f9/10/devel i386

* Wed Jan 14 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-1
- Upstream upgrade to 0.9
- rpmbuild F9 i386

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.7-1
- Initial spec
